<p>{{ 'FilterDesc' | translate }}</p>

<form class="filter-form">

  <mat-card>
    <mat-card-title>{{'FilterByPointCount' | translate }}</mat-card-title>
    <app-point-filter #point (newFilterEventEmitter)="emitNewFilter()"></app-point-filter>
  </mat-card>


  <mat-card>
    <mat-card-title>{{'FilterById' | translate }}</mat-card-title>
    <app-id-filter #id (newFilterEventEmitter)="emitNewFilter()"></app-id-filter>
  </mat-card>

  <mat-card>
    <mat-card-title>{{'FilterByStepwidth' | translate }}</mat-card-title>
    <app-stepwidth-filter #stepwidth (newFilterEventEmitter)="emitNewFilter()"></app-stepwidth-filter>
  </mat-card>

  <mat-card>
    <mat-card-title>{{'FilterByDate' | translate }}</mat-card-title>
    <app-date-filter #date (newFilterEventEmitter)="emitNewFilter()"></app-date-filter>
  </mat-card>

  <mat-card>
    <mat-card-title>{{'FilterBySelection' | translate }}</mat-card-title>
    <app-selected-filter #selection (newFilterEventEmitter)="emitNewFilter()"></app-selected-filter>
  </mat-card>

  <mat-card>
    <mat-card-title>{{'FilterByName' | translate }}</mat-card-title>
    <app-name-filter #name (newFilterEventEmitter)="emitNewFilter()"></app-name-filter>
  </mat-card>

</form>

<div class="buttonContainer">
  <button mat-raised-button color="basic" (click)="resetAllFilters()">{{ 'ResetFilters' | translate }} </button>
  <ng-content></ng-content>
</div>
